Name:		svgalib
Summary:	A low-level fullscreen SVGA graphics library
Version:	1.9.25
Release:	2
License:	Public Domain
Group:		Libraries
URL:		http://www.arava.co.il/matan/svgalib/
Source0:	http://www.arte.unipi.it/Public/Linux/%{name}-%{version}.tar.gz
Patch0:		libvga.config.diff
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The svgalib package provides the SVGAlib low-level graphics library for
Linux. SVGAlib is a library which allows applications to use full screen
graphics on a variety of hardware platforms. Many games and utilities use
SVGAlib for their graphics.

You'll need to have the svgalib package installed if you use any of the
programs which rely on SVGAlib for their graphics support.

%package	devel
Summary:	Development tools for programs using the SVGAlib graphics library
Group:		Development

%description	devel
The svgalib-devel package contains the libraries and header files needed
to build programs which will use the SVGAlib low-level graphics library.

Install the svgalib-devel package if you want to develop applications
which will use the SVGAlib library. Please take note that SVGAlib is
independent from X Window System. Thus, this package is useless if you
want to develop X11 applications.

%prep
%setup -q
%patch0 -p0

%build
make shared OPTIMIZE="$RPM_OPT_FLAGS"
cd threeDKit
make OPTIMIZE="$RPM_OPT_FLAGS -I../gl" LIBS="-L../sharedlib -lm -lvgagl -lvga"
cd -
cd utils
make OPTIMIZE="$RPM_OPT_FLAGS"
cd -
cd lrmi-0.9
make CFLAGS="$RPM_OPT_FLAGS"
cd -
#cd kernel/svgalib_helper; make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_sysconfdir}/vga}
%makeinstall INSTALL_SHLIB="install -c -m755" INSTALLMODULE="" INSTALLDEV=""
install -m644 ./src/config/* $RPM_BUILD_ROOT%{_sysconfdir}/vga
#mkdir -p $RPM_BUILD_ROOT/lib/modules/2.6.17/misc; cp kernel/svgalib_helper/svgalib_helper.ko $RPM_BUILD_ROOT/lib/modules/2.6.17/misc/

(rm -f $RPM_BUILD_ROOT%{_datadir}/*)

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/*.so
%dir %{_sysconfdir}/vga
%config(noreplace) %{_sysconfdir}/vga/*
%{_bindir}/*
%{_mandir}/man1
%{_mandir}/man5
%{_mandir}/man6
%{_mandir}/man7
%{_mandir}/man8
#/lib/modules
#%attr(1777,root,root) %dir /var/lib/svgalib
%doc 0-README LICENSE svgalib.lsm

%files devel
%defattr(-,root,root)
%{_includedir}
%{_mandir}/man3
%doc doc/CHANGES doc/DESIGN doc/Driver-programming-HOWTO doc/README.joystick doc/README.keymap doc/README.patching doc/README.vesa doc/TODO doc/svgalib.lsm
